Subject: bug#51490: Show an indicator when Emacs is busy somewhere in the Emacs window

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 23 Sep 2022 17:06:05 +0200

Eli Zaretskii <[email-masked]> writes:

> It should be possible, yes.  I just said that we don't have such an
> infrastructure yet, it needs to be written first.  When someone does
> write it, they will have to deal with the issue of what kind of
> drawing do we allow there; for example, a 1-pixel line is easy, but is
> unlikely to be visually appealing.

The spinner will presumably not be done with line drawing, but consist
of a set of 8 glyphs that are defined along the lines of fringe markers.

> And the main problem this will have to solve is this: whatever you
> draw behind the back of the display engine will run the risk of being
> wiped out when the next redisplay cycle kicks in.

Yes, we'd have to have a way to tell the redisplay to lay off redrawing
in that rectangle, probably.